.\" Copyright (c) 2001-2003 The Open Group, All Rights Reserved 
.TH "BTOWC" P 2003 "IEEE/The Open Group" "POSIX Programmer's Manual"
.\" btowc 
.SH NAME
btowc \- single byte to wide character conversion
.SH SYNOPSIS
.LP
\fB#include <stdio.h>
.br
#include <wchar.h>
.br
.sp
wint_t btowc(int\fP \fIc\fP\fB);
.br
\fP
.SH DESCRIPTION
.LP
The \fIbtowc\fP() function shall determine whether \fIc\fP constitutes
a valid (one-byte) character in the initial shift
state.
.LP
The behavior of this function shall be affected by the \fILC_CTYPE\fP
category of the current locale.
.SH RETURN VALUE
.LP
The \fIbtowc\fP() function shall return WEOF if \fIc\fP has the value
EOF or if \fB(unsigned char)\fP \fIc\fP does not
constitute a valid (one-byte) character in the initial shift state.
Otherwise, it shall return the wide-character representation of
that character.
.SH ERRORS
.LP
No errors are defined.
.LP
\fIThe following sections are informative.\fP
.SH EXAMPLES
.LP
None.
.SH APPLICATION USAGE
.LP
None.
.SH RATIONALE
.LP
None.
.SH FUTURE DIRECTIONS
.LP
None.
.SH SEE ALSO
.LP
\fIwctob\fP() , the Base Definitions volume of IEEE\ Std\ 1003.1-2001,
\fI<wchar.h>\fP
.SH COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form
from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology
-- Portable Operating System Interface (POSIX), The Open Group Base
Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of
Electrical and Electronics Engineers, Inc and The Open Group. In the
event of any discrepancy between this version and the original IEEE and
The Open Group Standard, the original IEEE and The Open Group Standard
is the referee document. The original Standard can be obtained online at
http://www.opengroup.org/unix/online.html .
